use clap::{Parser, Subcommand};

use crate::cli::publish::PublishCommand;

mod publish;

#[derive(Parser)]
#[command(author, version, about)]
struct Cli {
    #[command(subcommand)]
    subcommands: CliSubcommands,
}

#[derive(Subcommand)]
enum CliSubcommands {
    Publish(PublishCommand),
}

pub async fn execute() -> anyhow::Result<()> {
    let cmd = Cli::parse();

    let state = State::new();

    match cmd.subcommands {
        CliSubcommands::Publish(cmd) => cmd.execute(&state),
    }

    Ok(())
}
